/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

input:focus, input.form-control:focus {outline:none; outline-width: 0; box-shadow: none; -moz-box-shadow: none; -webkit-box-shadow: none;}
img {vertical-align: middle;}

/*****Home Page*****/
.cart-header .elementor-menu-cart__toggle_button {padding: 9px 10px !important; min-width: 64px; display: flex !important; justify-content: center; align-items: center;}
.cart-header .elementor-menu-cart__toggle_button .elementor-button-icon svg {width: 20px; height: 20px; fill: #000; right: 7px; position: relative; top: 1px;}
.cart-header .elementor-menu-cart__toggle_button .elementor-button-icon-qty {top: 0 !important; right: -32px !important; background-color: #d9121f !important; font-size: 10px !important;
border-radius: 0 !important; padding: 0; bottom: 0; margin: auto; line-height: normal !important; width: 23px; height: 23px !important; display: flex !important; align-items: center;
justify-content: center;}
.myaccount-header .sub-menu {padding: 24px !important;}
.myaccount-header .sub-menu li a {padding: 0 !important;}
.banner-section .elementor-swiper-button {width: 34px; height: 34px; background-color: #fff; display: flex !important; align-items: center; justify-content: center; transition: all .2s ease-in-out; opacity: 0;}
.banner-section .elementor-image-carousel-wrapper:hover .elementor-swiper-button {opacity: 1;}
.banner-section .elementor-swiper-button svg {color: #020202 !important; fill: #020202 !important;}
.banner-section .elementor-swiper-button:hover {background-color: #cb1e22 !important;}
.banner-section .elementor-swiper-button:hover svg {color: #fff !important; fill: #fff !important;}
.testimonial-section .elementor-main-swiper {width: 100% !important;}
.testimonial-section .elementor-testimonial__content {display: flex; flex-direction: column-reverse;}
.testimonial-section .elementor-testimonial__cite {margin: 0 0 10px !important;}
.testimonial-section .elementor-testimonial__footer {margin-bottom: 12px !important;}
.testimonial-section .elementor-swiper-button {width: 35px; height: 35px; border: 1px solid #e5e5e5; display: flex; align-items: center; justify-content: center; background-color: #fff;
transition: all .2s ease-in;}
.testimonial-section .elementor-swiper-button.elementor-swiper-button-prev {left: 47%; top: auto; bottom: -65px; transform: inherit; transform: translateX(-50%);}
.testimonial-section .elementor-swiper-button.elementor-swiper-button-next {right: 44%; top: auto; bottom: -65px; transform: inherit; transform: translateX(-50%);}
.testimonial-section .elementor-swiper-button:hover {background-color: #cb1e22; border-color: #fff;}
.testimonial-section .elementor-swiper-button:hover svg {color: #fff !important; fill: #fff !important;}

/*****Contact Page*****/
.contact-details p {margin: 5px 0;}
.contact-details a {font-weight: 700; color: #020202;}

/*****Subscribe Form*****/
.mc4wp-form-fields label {font-size: 13px; margin-bottom: 12px; display: block; font-weight: 300;}
.mc4wp-form-fields input {background: #fafafa; border-radius: 0; height: 45px; font-size: 13px; padding: 10px 10px; border: 1px solid #ABB0B2; margin-bottom: 30px; transition: 0.2s linear;}
.mc4wp-form-fields input:focus {border-color: #333;}
.mc4wp-form-fields input::placeholder {opacity: 0;}
.mc4wp-form-fields input[type="submit"] {background: #1e27cb; border-radius: 4px; border: none; padding: 8px 25px; color: #fff; font-size: 11px; text-transform: uppercase; font-weight: 600;
height: auto;}
.mc4wp-form-fields input[type="submit"]:hover {background-color: #cb1e22;}

/*****Footer Section*****/
/* .footer-info > .e-con-inner {
    max-width: 80%;
} */
.footer-info .premium-nav-ver .premium-nav-menu-container {box-shadow: inherit;}
.footer-info a {color: #808080;}

/*****Blog Page*****/
.blog-sidebar .widgettitle, .blog-tag-filter h3 {background-color: #d42f37; font-size: 16px; color: #fff; padding: 8px 10px; line-height: normal; margin: 0;}
.blog-sidebar ul {padding: 0; margin-bottom: 12px; list-style: none;}
.blog-sidebar li {list-style: none;}
.blog-sidebar ul li a {padding: 10px 15px; display: block;}
.blog-sidebar .search-form {padding: 15px; border: 1px solid #ddd; background-color: #fff;}
.blog-sidebar .search-form input {border-radius: 0; border: 1px solid #ccc; font-size: 13px; font-weight: 400; background: #fafafa; color: grey; height: 45px;}
.blog-sidebar .search-form .search-submit {border: none; background-color: #020202; font-size: 0; width: 90px; color: #fff; position: absolute; right: 15px; background-image: url(/wp-content/uploads/2024/03/search.png); background-repeat: no-repeat; background-size: 17px; background-position: center center;}
.blog-sidebar .search-form .search-submit:hover {background-color: #333;}
.recent-tab .elementor-tabs-wrapper {display: grid; justify-content: space-between; grid-template-columns: 1fr 1fr;}
.recent-tab .elementor-tab-title {border: 1px solid #d42f37 !important; padding: 13px 4px !important; font-size: 14px; text-transform: capitalize; font-style: italic; background-color: #fff; text-align: center; font-weight: 400 !important; color: #d42f37;}
.recent-tab .elementor-tab-title.elementor-active {background-color: #d42f37; color: #fff;}
.recent-tab .elementor-tab-content {padding: 20px 0 0 !important;}
.recent-tab .elementor-tab-content .postbox {position: relative; display: grid; grid-template-columns: 1fr 3fr; column-gap: 10px; border-bottom: 1px solid #ddd; margin-bottom: 8px;
padding-bottom: 8px;}
.recent-tab .elementor-tab-content .postbox h5, .recent-tab .elementor-tab-content .wli_popular_posts-class ul li h3 {margin: 0; font-size: 12px; line-height: 16px; font-weight: 600;
color: #020202;}
.recent-tab .elementor-tab-content .postbox span {margin: 0; font-size: 13px; line-height: 23px; font-weight: 400; color: #020202;}
.recent-tab .elementor-tab-content .postbox .pull-right .fa {font-size: 22px; position: absolute; right: 0; bottom: 10px;}
.recent-tab .elementor-tab-content .postbox .userpic img {width: 100%;}
.recent-tab .elementor-tab-content .wli_popular_posts-class h2 {display: none;}
.recent-tab .elementor-tab-content .wli_popular_posts-class ul li {position: relative; display: grid; grid-template-columns: 1fr 3fr; column-gap: 10px; border-bottom: 1px solid #ddd;
margin-bottom: 8px; padding: 0 0 8px;}
.recent-tab .elementor-tab-content .wli_popular_posts-class ul li a {padding: 0; color: #020202;}
.recent-tab .elementor-tab-content .wli_popular_posts-class ul li img {margin: 0; border: none; padding: 0;}
.blog-tag-filter h3 {margin: 0 0 10px;}
.blog-tag-filter ul {list-style: none;}
.blog-tag-filter ul li {display: inline-block;}
.blog-tag-filter ul li a {border: 1px solid #e0e0e0; border-radius: 3px; color: #a39e9e; margin: 0 5px 5px 0; padding: 2px 10px; line-height: 23px; background: #d42f37; font-size: 13px;
text-align: center;}
.single-post .jp-relatedposts, .single-post .sharedaddy {display: none !important;}

/*****Product Detail Page*****/
.single-product .woocommerce-product-gallery .flex-control-thumbs li {width: 76px !important; margin: 20px 20px 0 0 !important;}
.single-product .product-navigation .next-product {text-align: right;}
.single-product .product-navigation a {color: #d42f37; font-size: 11px; font-weight: 700; text-transform: uppercase; padding: 8px 30px 5px; transition: all .2s ease-in; border: 1px solid #e5e5e5; background: #fff; border-radius: 20px;}
.single-product .product-navigation a:hover {border-color: #d42f37; background: #d42f37; color: #fff;}
.single-product .product_meta .detail-container .detail-label {font-weight: 400;}
.single-product .product_meta span, .single-product .product_meta .detail-content a {color: #020202; font-weight: 600;}
.single-product .product_price .price {margin: 0 0 14px !important;}
.single-product .product_price .price table {margin: 0 !important;}
.single-product .product_price .price table th, .products li .price table td {border: none; background-color: transparent !important; padding: 0;}
.single-product .product_price .price table th {font-size: 14px; color: #333333; font-weight: normal; text-align: left;}
.single-product .product_price .price table td {font-size: 14px; border: none; padding: 20px 0; background-color: transparent !important;}
.single-product .product_price .price table td:nth-child(2) {font-size: 25px; line-height: 25px;}
.single-product .woocommerce-tabs .tabs {padding: 0 !important; text-align: center; border-bottom: 1px solid #E5E5E5;}
.single-product .woocommerce-tabs .tabs li {border: none !important; background-color: transparent !important; border-radius: 0 !important; margin: 0 !important;}
.single-product .woocommerce-tabs .tabs li a {padding: 0 0 15px !important; margin: 0 15px; border-bottom: 2px solid transparent; transition: 0.3s linear;}
.single-product .woocommerce-tabs .tabs li.active a {border-color: #CB1E22;}
.single-product .wc-tab {padding: 40px 0 0 !important;}
.single-product .woocommerce-tabs h2 {display: none;}
.single-product #tab-description a {color: #020202;}
.single-product #tab-additional_information .woocommerce-product-attributes th {width: auto; text-align: left;}
.single-product #tab-additional_information .woocommerce-product-attributes th, .single-product #tab-additional_information .woocommerce-product-attributes td {font-weight: 700;
text-transform: uppercase; padding: 20px 30px; border: 1px solid #e5e5e5; background-color: #fff; font-size: 13px; font-weight: 400; font-style: normal; color: #020202;}
.single-product .jp-relatedposts {display: none !important;}
.single-product #tab-reviews .form-submit {margin: 26px 0 0 !important;}
.single-product #tab-reviews .form-submit #submit {background-color: #1e27cb; font-size: 11px; font-weight: 600; line-height: 1.6; text-transform: uppercase; padding: 13px 38px;
transition: all .2s ease-in; color: #fff; border-radius: 0;}
.single-product #tab-reviews .form-submit #submit:hover {background-color: #d42f37; color: #fff;}

.shopcat-section .products .product-category {border: 1px solid #E5E5E5; padding: 15px !important;}
.shopcat-section .products .product-category h2 {padding: 15px 0 20px !important;}


.reliable-section .elementor-widget-icon-box {height: 100%;}

.joinsub-section > .e-con-inner {border-top: 1px solid #E5E5E5; padding-top: 30px;}
.joinsub-section h2 {font-weight: bold; font-size: 18px; margin-bottom: 30px;}


/*7-03-2024*/

.wholesale-btn {order: 5; text-align: center; margin-top: 15px;}
.wholesale-btn .wholesale-login {background: #1e27cb; border: 1px solid #ccc; transition: all .2s ease-in; font-size: 11px !important; font-weight: 600 !important; line-height: 1.6;
padding: 6px !important; color: #fff;}
.wholesale-btn .wholesale-login:hover {border-color: #cb1e22;}
.products li .price {margin: 0 0 14px !important;}
.products li .price table {margin: 0 !important;}
.products li .price table th, .products li .price table td {border: none; background-color: transparent !important; padding: 0;}
.products li .price table th {font-size: 14px; color: #333333; font-weight: normal;}
.products li .price table td {font-size: 14px;}

.eszlwcf-product-button {
    display: none;
}
.eszlwcf-product:hover .eszlwcf-product-button {
    display: block;
} 
.elementor-element.elementor-element-c5cf8b2.elementor-widget.elementor-widget-sidebar li {
    list-style: none;
}

.woocommerce-loop-product__buttons{
display: none;
}
li.product.type-product:hover .woocommerce-loop-product__buttons{
display: block;
}

div#ur-frontend-form {
    border: none;
}
div#user-registration {
    margin: 0;
    background: transparent;
    box-shadow: none;
}
input.user-registration-Button.button {
    font-family: "Poppins", Sans-serif;
    font-weight: 500;
    background-color: #1E27CB;
    border-style: none !important;
    border-radius: 4px 4px 4px 4px;
    border: none;
    color: #fff;
}
.ur-frontend-form.login .ur-form-grid {
    padding: 0;
}
.ur-frontend-form.login {
    padding: 0px;
}
button.btn.button.ur-submit-button {
    font-family: "Poppins", Sans-serif;
    font-weight: 500;
    background-color: #1E27CB;
    border-style: none !important;
    border-radius: 4px 4px 4px 4px;
    border: none;
    color: #fff;
}
.ur-field-item.field-radio.newsletter-radio ul {
    display: flex;
    gap: 20px;
    padding-left: 0;
}
.cart-wishlist-wrap {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    transform: scale(0);
    transition: all .3s ease-out;
    height: 0;
    opacity: 0;
}
.cart-wishlist-wrap a {
    width: 45px !important;
    height: 45px !important;
    border: 1px solid #ccc !important;
    font-size: 12px !important;
    padding: 10px !important;
    margin: 0 !important;
    background: transparent !important;
    border-radius: 0 !important;
    color: #000 !important;
    display: flex !important;
    align-items: center;
    justify-content: center;
    transition: all .2s ease-in;
}
.cart-wishlist-wrap a:hover {
    background: #cb1e22 !important;
    border-color: #cb1e22 !important;
    color: #fff !important;
}
.cart-wishlist-wrap a::before {
    transition: all .2s ease-in;
}
.cart-wishlist-wrap a:hover::before {
    color: #fff !important;
}
.products li:hover .cart-wishlist-wrap {
    opacity: 1;
    height: auto;
    transform: scale(1);
}

.tinv-wraper.woocommerce.tinv-wishlist.tinvwl-before-add-to-cart.tinvwl-loop-button-wrapper.tinvwl-woocommerce_after_shop_loop_item {
    display: none;
}
li.product.type-product:hover .tinv-wraper.woocommerce.tinv-wishlist.tinvwl-before-add-to-cart.tinvwl-loop-button-wrapper.tinvwl-woocommerce_after_shop_loop_item {
    display: block;
} 


/*****Login Page*****/
.login .ur-form-grid label {margin: 0 0 10px !important; font-size: 13px !important;}
.login .ur-form-grid input {background: #fafafa; color: grey; font-size: 13px; font-weight: 400; padding: 12px 20px; border: 1px solid #ccc; height: 45px;}
.login .ur-form-grid .user-registration-Button.button {position: absolute; bottom: -50px; left: 0; font-size: 11px; font-weight: 600; text-transform: uppercase; background-color: #1E27CB;
border-radius: 0px 0px 0px 0px; padding: 15px 36px 15px 36px; color: #fff; height: auto; line-height: 1;}
.login .ur-form-grid input.user-registration-form__input-checkbox {height: auto;}
.login .ur-form-grid .lost_password a {font-size: 15px; color: #020202;}

/*****Registration Page*****/
.user-registration {padding: 0; border: none;}
.user-registration .register .form-row {display: flex !important;}
.user-registration .register .form-row .ur-label {min-width: 200px; text-align: right; font-size: 13px !important; font-weight: 400 !important; padding-right: 30px;}
.user-registration .register .form-row .input-wrapper {width: 100%;}
.user-registration .register .form-row .input-wrapper input, .user-registration .register .form-row select {background: #fafafa; color: grey; font-size: 13px; font-weight: 400;
padding: 12px 20px;	border: 1px solid #ccc; height: 45px;}
.user-registration .register .newsletter-radio {margin-top: 40px;}
body form .button {font-size: 11px; font-weight: 600 !important; text-transform: uppercase; background-color: #1E27CB !important; border-radius: 0 !important; padding: 15px 36px !important;
color: #fff !important; height: auto; line-height: 1 !important;}
body form .button:hover {background: #cb1e22 !important;}
.user-registration .register .form-row ul li {margin: 0; line-height: 30px !important;}

/* css 18 march 2024 */
/* homepage */
li.product.type-product:hover .woocommerce-loop-product__buttons a.button.product_type_simple:after{content:'';background:url(/wp-content/uploads/2024/03/add-to-cart-3046.svg) no-repeat;background-size:contain;width:21px;height:20px;position:absolute;left:50%;top:50%;transform:translate(-50%,-50%)}
.tinv-wishlist .tinvwl_add_to_wishlist_button.tinvwl-icon-heart.no-txt:before{width:20px;height:20px}
li.product.type-product:hover .woocommerce-loop-product__buttons a.button.product_type_simple{font-size:0!important}
li.product.type-product:hover .woocommerce-loop-product__buttons a.button.product_type_simple:hover:after{filter:invert(1)}
/* Add CSS 19 Mar 2024 TS */
body li.product.type-product:hover .out-of-stock a.out-of-stock:after {background: url(/wp-content/uploads/2024/03/13791767.png) !important;width: 21px !important;height: 22px !important;background-size: cover !important;}
.ts-mob-menu {z-index: 2;}
.ts-mob-menu .ts-mega-menu ul.mega-menu li.mega-menu-item.mega-current-menu-item a.mega-menu-link , 
.ts-mob-menu .ts-mega-menu ul.mega-menu li.mega-toggle-on a.mega-menu-link, 
.ts-mob-menu .ts-mega-menu ul.mega-menu li a.mega-menu-link:hover , .ts-mob-menu .ts-mega-menu ul.mega-menu li a.mega-menu-link:focus {background: transparent !important;}
body .ts-mob-menu .ts-mega-menu ul.mega-menu li a.mega-menu-link {font-weight: 600 !important;}
.ts-mob-menu .ts-mega-menu ul.mega-menu li a.mega-menu-link .mega-menu-title , .ts-mob-menu .ts-mega-menu ul.mega-menu li a.mega-menu-link {font-size: 13px !important;text-transform: uppercase !important;}
.ts-mob-menu .ts-mega-menu ul.mega-menu li a.mega-menu-link:hover .mega-menu-title {color: #020202 !important;}
.ts-my-account-data ul.elementor-nav-menu {z-index: 3;}
.ts-mob-menu .ts-mega-menu ul.mega-menu li > ul.mega-sub-menu > li.mega-menu-row > ul.mega-sub-menu > li.mega-menu-column > ul.mega-sub-menu li:first-child a .mega-menu-title ,
.ts-mob-menu .ts-mega-menu ul.mega-menu li > ul.mega-sub-menu > li.mega-menu-row > ul.mega-sub-menu > li.mega-menu-column > ul.mega-sub-menu li:first-child a {font-size: 20px !important;font-weight: 600 !important;line-height: 1.6 !important;color: #020202 !important;text-transform: capitalize !important;}
.ts-mob-menu .ts-mega-menu ul.mega-menu li > ul.mega-sub-menu > li.mega-menu-row > ul.mega-sub-menu > li.mega-menu-column > ul.mega-sub-menu li:first-child a {position: relative;}
.ts-mob-menu .ts-mega-menu ul.mega-menu li > ul.mega-sub-menu > li.mega-menu-row > ul.mega-sub-menu > li.mega-menu-column > ul.mega-sub-menu li:first-child a:after {position: absolute;content: '';width: 45px;height: 2px;left: 0;bottom: -7px;background: #cb1e22;display: inline-block !important;}
#mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-item > a.mega-menu-link {height: auto !important;padding: 20px 10px !important;}
.ts-mob-menu .ts-mega-menu ul.mega-menu > li.mega-menu-item > ul.mega-sub-menu {background: #fff !important;box-shadow: 0px 0px 25px rgba(0, 0, 0, 0.15) !important;transform: unset !important;padding: 20px !important;}
.ts-mob-menu .ts-mega-menu ul.mega-menu > li.mega-menu-item > ul.mega-sub-menu:before {position: absolute;margin-top: -29px;margin-left: 50px;display: inline-block !important;border-right: 10px solid transparent;border-bottom: 10px solid #fff;border-left: 10px solid transparent;content: '';z-index: 30;}
#mega-menu-wrap-menu-1 #mega-menu-menu-1 li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row .mega-menu-column > ul.mega-sub-menu > li.mega-menu-item {padding: 6px 15px !important;}
#mega-menu-wrap-menu-1 #mega-menu-menu-1 li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-row .mega-menu-column > ul.mega-sub-menu > li.mega-menu-item:first-child {padding: 15px !important;}
#user-registration.vertical .user-registration-MyAccount-navigation ul .user-registration-MyAccount-navigation-link.is-active a {border-color: #CB1E22 !important;}
body #user-registration .user-registration-MyAccount-content {padding: 0 40px;}
body #user-registration .user-registration-MyAccount-content fieldset legend ,
div#user-registration form h3 {text-align: left;margin: 0 0 10px !important;line-height: 35px;font-weight: 500 !important;}
div#user-registration form {box-shadow: 0 4px 10px rgba(58,109,125,.1);background: #fff;padding: 20px;border-radius: 6px;}
div#user-registration form p input , div#user-registration form p select {padding: 4px 8px;background: transparent;border: 1px solid #cacaca;border-radius: 4px;height: 45px;}
div#user-registration form p label {font-size: 14px !important;font-weight: 500;text-align: left;margin: 0 0 10px !important;position: unset !important;overflow: visible !important;display: inline-block;clip-path: unset !important;width: 100%;height: auto !important;}
div#user-registration form fieldset {border: 0;}
body div#user-registration form p button.button {border-color: #1e27cb;margin-top: 20px;}
body div#user-registration form p button.button:hover {border-color: #cb1e22 !important;}
div#user-registration form p#billing_country_field , div#user-registration form p#shipping_country_field {margin: 40px 0 30px;text-align: left;}
body div#user-registration input.user-registration-Button.button {bottom: -60px !important;}
.user-registration-MyAccount-content .woocommerce-info {border-top-color: #1e27cb !important;}
.ts-mega-menu {width: 100%;}
table.shop_table.shop_table_responsive.cart {
    box-shadow: 0 4px 10px rgba(58,109,125,.1);
    background: #fff;
    padding: 20px;
    border-radius: 6px;
    border: 0;
}
table.shop_table.shop_table_responsive.cart td, table.shop_table.shop_table_responsive.cart th {
    border: 0;
    border-top: 1px solid rgba(0, 0, 0, .1);
    padding: 15px 8px;
}
table.shop_table.shop_table_responsive.cart tr:nth-child(odd) td {
    background-color: #f9f9f9 !important;
}
table.shop_table.shop_table_responsive.cart th {
    font-size: 14px !important;
}
.woocommerce-cart header.page-header , body.page-id-9 header.page-header {
    margin: 0 0 50px;
    padding: 50px;
    border-bottom: 1px solid #E5E5E5;
    text-align: center;
}
.woocommerce-cart header.page-header h1.entry-title , body.page-id-9 header.page-header h1.entry-title {
    font-size: 30px;
    line-height: 45px;
    text-align: center;
    border-bottom: 2px solid #D9121F;
    display: inline-block;
    width: auto;
}
/* Category Page */
.wpfFilterWrapper ul:not(.wpfButtonsFilter) li {
    padding-bottom: 12px;
}
.wpfFilterButtons {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
}
.wpfFilterButtons button.wpfButton {
    margin: 0;
    padding: 0;
    background-color: #CB1E22;
    color: #fff;
    min-height: 40px;
    font-size: 15px;
    border: 1px solid #CB1E22;
}
.wpfFilterButtons button.wpfButton:hover {
    background-color: transparent;
    color: #CB1E22;
}
.wp-block-woocommerce-checkout .wc-block-checkout__main .wc-block-checkout__actions button.components-button {
    border-color: #D9121F;
    color: #D9121F;
    width: 30%;
}
.wp-block-woocommerce-checkout .wc-block-checkout__main .wc-block-checkout__actions button.components-button:hover {
    background-color: #D9121F;
    color: #fff;
}
body.page-id-9 main.post-9.page.status-publish {
    max-width: 1185px;
    margin: auto;
}
.ts-detail-page-cart-btn {
    border: 1px solid #e5e5e5;
    background: #fff;
    padding: 0;
}
.ts-detail-page-cart-btn .elementor-widget-woocommerce-product-add-to-cart {
    padding: 26px 26px 10px 26px;
}
.ts-detail-page-cart-btn .elementor-widget-shortcode {
    border-top: 1px solid #e5e5e5;
}
.ts-detail-page-cart-btn .elementor-widget-shortcode .woocommerce.product a.compare.button , 
.ts-detail-page-cart-btn-list > .elementor-widget-shortcode .cart-wishlist-wrap .wlfmc-add-to-wishlist a.wlfmc_add_to_wishlist {
    padding: 16px 26px;
    background: transparent;
    width: 100%;
    color: #020202;
    font-weight: 700;
}
.ts-detail-page-cart-btn .elementor-widget-shortcode .woocommerce.product a.compare.button:hover , 
.ts-detail-page-cart-btn-list > .elementor-widget-shortcode .cart-wishlist-wrap .wlfmc-add-to-wishlist a.wlfmc_add_to_wishlist:hover {
    color: #D9121F !important;
}
.ts-detail-page-cart-btn form.cart .e-atc-qty-button-holder {
    flex-wrap: nowrap !important;
}
.ts-detail-page-cart-btn form.cart .e-atc-qty-button-holder .quantity {
    flex-basis: 15% !important;
    margin-right: 20px !important;
}
.ts-detail-page-cart-btn form.cart .e-atc-qty-button-holder button.single_add_to_cart_button {
    margin: 0 !important;
}
.ts-detail-page-cart-btn form.cart .e-atc-qty-button-holder .quantity input {
    width: 100%;
}
.ts-detail-page-cart-btn form.cart .e-atc-qty-button-holder .quantity input {
    padding-right: 24px;
    width: 100%;
    border: 1px solid #ccc;
    font-size: 13px;
    font-weight: 400 !important;
    background: #fafafa;
}
.related-slick-slider .elementor-wc-products.elementor-widget-woocommerce-product-related ul.products li.product {
    max-height: 600px !important;
    min-height: 600px !important;
}
.related-slick-slider .elementor-wc-products.elementor-widget-woocommerce-product-related ul.products li.product h2.woocommerce-loop-product__title {
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
}
.related-slick-slider .elementor-wc-products.elementor-widget-woocommerce-product-related button.slick-arrow:before {
    content: " " !important;
    opacity: 1 !important;
    background-repeat: no-repeat;
    width: 12px;
    height: 14px;
    display: block;
    position: absolute;
    z-index: 1;
    background-size: contain;
}
.related-slick-slider .elementor-wc-products.elementor-widget-woocommerce-product-related button.slick-prev:before {
    background-image: url(/wp-content/uploads/2024/03/lefts.png);
}
.related-slick-slider .elementor-wc-products.elementor-widget-woocommerce-product-related button.slick-next:before {
    background-image: url(/wp-content/uploads/2024/03/nexts.png);
}
.related-slick-slider .elementor-wc-products.elementor-widget-woocommerce-product-related button.slick-arrow {
    z-index: 1;
    top: 100% !important;
    border: 1px solid #e5e5e5;
    padding: 0;
    height: 35px;
    width: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    border-radius: 2px;
}
.related-slick-slider .elementor-wc-products.elementor-widget-woocommerce-product-related button.slick-prev {
    left: calc(50% - 50px);
}
.related-slick-slider .elementor-wc-products.elementor-widget-woocommerce-product-related button.slick-next {
    right: calc(50% - 50px);
}
.related-slick-slider .elementor-wc-products.elementor-widget-woocommerce-product-related button.slick-arrow:hover {
    background: #D9121F;
}
.related-slick-slider .elementor-wc-products.elementor-widget-woocommerce-product-related button.slick-arrow:hover:before {
    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(7476%) hue-rotate(110deg) brightness(98%) contrast(108%);
}
.ts-detail-page-cart-btn .elementor-widget-woocommerce-product-add-to-cart p.stock.in-stock {
    display: none;
}
.elementor-products-grid ul.products.elementor-grid li.product span.price {
    justify-content: space-between;
}
.ts-detail-page-cart-detail p.price > span {
    width: calc(100% - 50%);
}
.ts-detail-page-cart-detail p.price {
    display: flex;
    justify-content: flex-start;
    gap: 10px;
}
.ts-detail-page-cart-detail p.price > span:last-child span.amount , .ts-detail-page-cart-detail td:last-child span.amount {
    color: #C92428;
    font-weight: bold;
    font-size: 20px;
    line-height: 25px;
}
.ts-detail-page-cart-detail p.price span span.amount {
    padding: 20px 0;
    display: inline-block;
}
.ts-detail-page-cart-btn-list {
    padding: 0;
    gap: 0;
    flex-direction: row !important;
    flex: unset !important;
}
.ts-detail-page-cart-btn-list > .elementor-widget-shortcode {
    max-width: calc(100% - 50%) !important;
    width: calc(100% - 50%) !important;
}
.ts-detail-page-cart-btn-list > .elementor-widget-shortcode .cart-wishlist-wrap {
    transform: unset !important;
    opacity: 1;
    height: 100%;
}
.ts-detail-page-cart-btn-list > .elementor-widget-shortcode .cart-wishlist-wrap .wlfmc-add-to-wishlist , 
.ts-detail-page-cart-btn-list > .elementor-widget-shortcode .cart-wishlist-wrap .wlfmc-add-to-wishlist .wlfmc-addtowishlist , 
.ts-detail-page-cart-btn-list > .elementor-widget-shortcode .cart-wishlist-wrap .wlfmc-add-to-wishlist a.wlfmc_add_to_wishlist {
    width: 100% !important;
}
.ts-detail-page-cart-btn-list > .elementor-widget-shortcode .cart-wishlist-wrap .wlfmc-add-to-wishlist a.wlfmc_add_to_wishlist {
    border: 0 !important;
    border-left: 1px solid #e5e5e5 !important;
}
.ts-detail-page-cart-btn-list > .elementor-widget-shortcode .cart-wishlist-wrap .wlfmc-add-to-wishlist a.wlfmc_add_to_wishlist:hover {
    background: transparent !important;
}
/* Wishlist */
.ts-wishList-table-list {
    padding: 60px 15px;
}
.ts-wishList-table-list td.center-column .product-price.price {
    width: calc(100% - 50%);
    margin: auto;
}
body .wlfmc-default-table:not(.is-elementor).add-to-card-same-button tr td.last-column .button:not(.minus):not(.plus) ,
.ts-wishList-table-list tfoot.wlfmc-wishlist-footer button.apply-btn.button , 
.ts-wishList-table-list button.add-all-to-cart-btn.button.wlfmc-tooltip.wlfmc-tooltip-top {
    background-color: #C92428 !important;
    color: #fff !important;
    transition: 0.3s linear;
}
body .wlfmc-default-table:not(.is-elementor).add-to-card-same-button tr td.last-column .button:not(.minus):not(.plus):hover ,
.ts-wishList-table-list tfoot.wlfmc-wishlist-footer button.apply-btn.button:hover ,
.ts-wishList-table-list button.add-all-to-cart-btn.button.wlfmc-tooltip.wlfmc-tooltip-top:hover {
    background-color: transparent !important;
    color: #C92428 !important;
    border: 1px solid #C92428 !important;
}
.ts-wishList-table-list tfoot.wlfmc-wishlist-footer select#bulk_actions {
    border: 1px solid #e5e5e5 !important;
    background: transparent !important;
}
:focus , :focus-visible {outline: none !important; box-shadow: none !important;}
/* cart page paypal override mega menu fix  */
ul.wc-block-components-express-payment__event-buttons {
    z-index: 0;
    position: relative;
}
/* order received confirmation  */
body.woocommerce-page.woocommerce-order-received .woocommerce {
    max-width: 1140px !important;
    margin: 0 auto;
    padding: 24px 0;
}
/* conditional account menus css  */
li.logged-out-class.menu-item {
    display: none;
}
.logged-in li.logged-out-class.menu-item {
    display: block;
}


/* Media Query */
@media screen and (max-width: 1199px) {
    #mega-menu-wrap-menu-1 #mega-menu-menu-1 {gap: 25px !important;}
    body.archive .product .e-con.e-parent > .e-con-inner {
        padding: 25px 15px;
    }
    body.archive .product .e-con.e-parent > .e-con-inner .e-flex.e-con.e-child:first-child {
        padding-left: 0;
    }
    body.page-id-9 main.post-9.page.status-publish {
        padding: 0 15px 30px;
    }
    .ts-wishList-table-list {
        padding: 30px 15px;
    }
}
@media screen and (max-width: 1024px) {
    body #user-registration .user-registration-MyAccount-content {padding: 0 0 0 20px;}
    #mega-menu-wrap-menu-1 #mega-menu-menu-1 {gap: 6px !important;}
    .ts-mob-menu:after {
        display: none;
    }
    #mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-item > a.mega-menu-link {
        padding: 10px 8px !important;
    }
    .ts-wishList-table-list td.center-column .product-price.price {
        width: 100%;
    }
}
@media screen and (max-width:881px) {
    .ts-mob-menu:after{content:"Navigation";color:#fff;position:absolute;left:12px;top:50%;transform:translate(0,-50%);font-size:14px;font-weight:600}
    .mc4wp-form-fields input {margin-bottom: 15px;}
    .ts-single-left-bar {width: 67%;}
    .blog-sidebar {width: 33%;}
    #mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-item > a.mega-menu-link {
        padding: 15px 6px !important;
    }
    .ts-mob-menu .ts-mega-menu ul.mega-menu li a.mega-menu-link .mega-menu-title, .ts-mob-menu .ts-mega-menu ul.mega-menu li a.mega-menu-link {
        font-size: 12px !important;
        text-transform: capitalize !important;
    }
    body.page-id-9 main.post-9.page.status-publish .wc-block-components-sidebar-layout .wc-block-components-main.wc-block-checkout__main {
        padding: 0;
    }

    
    
}
@media screen and (max-width: 768px) {
    .ts-mob-menu > .e-con-inner {padding-bottom: 10px;}
    .user-registration .register .form-row {flex-direction: column;}
    .user-registration .register .form-row .ur-label {text-align: left;}
    .ur-frontend-form .ur-form-row .ur-form-grid:last-child {padding: 0 !important;}
    .ur-frontend-form .ur-form-row .ur-form-grid .ur-field-item {margin-bottom: 5px;}
    .ts-single-left-bar {width: 100%;}
    .blog-sidebar {width: 100%;}
    .ts-single-post-page > .e-con-inner .ts-single-left-bar p:has(img) {text-align: center;}
    #mega-menu-wrap-menu-1 .mega-menu-toggle.mega-menu-open + #mega-menu-menu-1 {background: #fff !important;}
    .ts-mob-menu .ts-mega-menu ul.mega-menu li a.mega-menu-link .mega-menu-title, .ts-mob-menu .ts-mega-menu ul.mega-menu li a.mega-menu-link {color: #222 !important;}
    .ts-mega-menu {width: 100%;}
    #mega-menu-wrap-menu-1 .mega-menu-toggle {background: transparent;}
    div#user-registration form {padding: 15px;}
    div#user-registration form fieldset {margin: 0;padding: 0;}
    body #user-registration .user-registration-MyAccount-content fieldset legend, div#user-registration form h3 {font-size: 24px !important;}
    div#user-registration form p input::placeholder {font-size: 16px !important;}
    body #mega-menu-wrap-menu-1 #mega-menu-menu-1 > li.mega-menu-item > a.mega-menu-link {
        padding: 8px 10px !important;
    }
    .ts-mob-menu:after {
        display: block;
    }
    .ts-wishList-table-list tbody.wishlist-items-wrapper tr.wlfmc-table-item {
        max-width: 100% !important;
    }

	
}
@media screen and (max-width: 767px) {
    body.archive .product .e-con.e-parent > .e-con-inner .e-flex.e-con.e-child:first-child {
        padding: 20px 0;
    }
    .ts-detail-page-cart-btn .elementor-widget-shortcode .woocommerce.product a.compare.button , 
    .ts-detail-page-cart-btn-list > .elementor-widget-shortcode .cart-wishlist-wrap .wlfmc-add-to-wishlist a.wlfmc_add_to_wishlist {
        padding: 16px;
    }
	
}
@media screen and (max-width: 730px) {
    body.archive .product .e-con.e-parent > .e-con-inner .e-flex.e-con.e-child:first-child {
        padding: 20px 0;
    }
    body.page-id-9 header.page-header {
        margin: 0;
        border-bottom: 0;
    }
    .wp-block-woocommerce-checkout .wc-block-checkout__main .wc-block-checkout__actions button.components-button {
        width: auto;
    }
	
}
@media screen and (max-width: 600px) {
    body #user-registration .user-registration-MyAccount-content ,
    body #user-registration .user-registration-MyAccount-content .ur-frontend-form {padding: 30px 0 0 0;}
    .woocommerce-page form .form-row-first, .woocommerce-page form .form-row-last {
        width: 100%;
    }
    div#user-registration form p input::placeholder {font-size: 14px !important;}
}